REM Compiling and linking with CALPUFF using Lahey LF95 for Windows

lf95 modules.for calpuff.for -o0 -co -sav -lfe "-Hseu" -out calpuff_dbg.exe >cpl_dbg.txt

REM Do not use trap(doi) for programs that include ISORROPIA
rem lf95 modules.for calpuff.for -o0 -co -sav -lfe "-Hseu"  -trap doi -out calpuff_dbg.exe >cpl_dbg.txt

del *.obj
del *.map
del *.mod

rem Switch settings ------------------------------
rem -o0             No optimization
rem -co             Display the compiler options that are used
rem -sav            Save local variables
rem -trap doi       Trap NDP divide-by-zero (d), overflow (o), and invalid operation (i) 
rem -out            Name the compiled executable to "calpuff_dbg.exe"
rem >               Send compiler screen output to file "cpl_dbg.txt"


REM
REM additional compilation flags for code developers -lfe "-Hsaeux" 
REM
REM a will catch non-matching types of variables but that includes lost of  input parameters
REM which we want to keep in different types. To bypass that and check the rest of the code
REM we would have to compile the READCF subroutine separately and without the a flag
REM until READCF is separated from the code (and I figure out how to link all pieces together
REM compile without a
REM
REM x will stop the compilation for whatever reason so I am not using it
REM
REM u is very useful at executino for tracking un-initialized variables
REM
REM Even with these flags mismatched record numbers in subroutine calling lists
REM are not caught by LF95. LF77  (3CL batch job) is needed to catch those
REM
